<!DOCTYPE HTML>
<html lang="es">
<head>
<!-- Generated by javadoc (17) on Fri Jun 03 20:10:18 CDT 2022 -->
<title>Matriz2Numerica</title>
<meta name="viewport" content="width=device-width, initial-scale=1">
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<meta name="dc.created" content="2022-06-03">
<meta name="description" content="declaration: package: estructurasNoLineales, class: Matriz2Numerica">
<meta name="generator" content="javadoc/ClassWriterImpl">
<link rel="stylesheet" type="text/css" href="../stylesheet.css" title="Style">
<link rel="stylesheet" type="text/css" href="../script-dir/jquery-ui.min.css" title="Style">
<link rel="stylesheet" type="text/css" href="../jquery-ui.overrides.css" title="Style">
<script type="text/javascript" src="../script.js"></script>
<script type="text/javascript" src="../script-dir/jquery-3.5.1.min.js"></script>
<script type="text/javascript" src="../script-dir/jquery-ui.min.js"></script>
</head>
<body class="class-declaration-page">
<script type="text/javascript">var evenRowColor = "even-row-color";
var oddRowColor = "odd-row-color";
var tableTab = "table-tab";
var activeTableTab = "active-table-tab";
var pathtoroot = "../";
loadScripts(document, 'script');</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<div class="flex-box">
<header role="banner" class="flex-header">
<nav role="navigation">
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="top-nav" id="navbar-top">
<div class="skip-nav"><a href="#skip-navbar-top" title="Skip navigation links">Skip navigation links</a></div>
<ul id="navbar-top-firstrow" class="nav-list" title="Navigation">
<li><a href="../index.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="nav-bar-cell1-rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../index-files/index-1.html">Index</a></li>
<li><a href="../help-doc.html#class">Help</a></li>
</ul>
</div>
<div class="sub-nav">
<div>
<ul class="sub-nav-list">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#field-summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor-summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method-summary">Method</a></li>
</ul>
<ul class="sub-nav-list">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor-detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method-detail">Method</a></li>
</ul>
</div>
<div class="nav-list-search"><label for="search-input">SEARCH:</label>
<input type="text" id="search-input" value="search" disabled="disabled">
<input type="reset" id="reset-button" value="reset" disabled="disabled">
</div>
</div>
<!-- ========= END OF TOP NAVBAR ========= -->
<span class="skip-nav" id="skip-navbar-top"></span></nav>
</header>
<div class="flex-content">
<main role="main">
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="sub-title"><span class="package-label-in-type">Package</span>&nbsp;<a href="package-summary.html">estructurasNoLineales</a></div>
<h1 title="Class Matriz2Numerica" class="title">Class Matriz2Numerica</h1>
</div>
<div class="inheritance" title="Inheritance Tree"><a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/lang/Object.html" title="class or interface in java.lang" class="external-link">java.lang.Object</a>
<div class="inheritance"><a href="Matriz2.html" title="class in estructurasNoLineales">estructurasNoLineales.Matriz2</a>
<div class="inheritance">estructurasNoLineales.Matriz2Numerica</div>
</div>
</div>
<section class="class-description" id="class-description">
<hr>
<div class="type-signature"><span class="modifiers">public class </span><span class="element-name type-name-label">Matriz2Numerica</span>
<span class="extends-implements">extends <a href="Matriz2.html" title="class in estructurasNoLineales">Matriz2</a></span></div>
</section>
<section class="summary">
<ul class="summary-list">
<!-- =========== FIELD SUMMARY =========== -->
<li>
<section class="field-summary" id="field-summary">
<h2>Field Summary</h2>
<div class="inherited-list">
<h3 id="fields-inherited-from-class-estructurasNoLineales.Matriz2">Fields inherited from class&nbsp;estructurasNoLineales.<a href="Matriz2.html" title="class in estructurasNoLineales">Matriz2</a></h3>
<code><a href="Matriz2.html#columnas">columnas</a>, <a href="Matriz2.html#datos">datos</a>, <a href="Matriz2.html#renglones">renglones</a></code></div>
</section>
</li>
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<li>
<section class="constructor-summary" id="constructor-summary">
<h2>Constructor Summary</h2>
<div class="caption"><span>Constructors</span></div>
<div class="summary-table two-column-summary">
<div class="table-header col-first">Constructor</div>
<div class="table-header col-last">Description</div>
<div class="col-constructor-name even-row-color"><code><a href="#%3Cinit%3E(int,int)" class="member-name-link">Matriz2Numerica</a><wbr>(int&nbsp;renglones,
 int&nbsp;columnas)</code></div>
<div class="col-last even-row-color">&nbsp;</div>
<div class="col-constructor-name odd-row-color"><code><a href="#%3Cinit%3E(int,int,java.lang.Object)" class="member-name-link">Matriz2Numerica</a><wbr>(int&nbsp;renglones,
 int&nbsp;columnas,
 <a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/lang/Object.html" title="class or interface in java.lang" class="external-link">Object</a>&nbsp;valor)</code></div>
<div class="col-last odd-row-color">&nbsp;</div>
</div>
</section>
</li>
<!-- ========== METHOD SUMMARY =========== -->
<li>
<section class="method-summary" id="method-summary">
<h2>Method Summary</h2>
<div id="method-summary-table">
<div class="table-tabs" role="tablist" aria-orientation="horizontal"><button id="method-summary-table-tab0" role="tab" aria-selected="true" aria-controls="method-summary-table.tabpanel" tabindex="0" onkeydown="switchTab(event)" onclick="show('method-summary-table', 'method-summary-table', 3)" class="active-table-tab">All Methods</button><button id="method-summary-table-tab2" role="tab" aria-selected="false" aria-controls="method-summary-table.tabpanel" tabindex="-1" onkeydown="switchTab(event)" onclick="show('method-summary-table', 'method-summary-table-tab2', 3)" class="table-tab">Instance Methods</button><button id="method-summary-table-tab4" role="tab" aria-selected="false" aria-controls="method-summary-table.tabpanel" tabindex="-1" onkeydown="switchTab(event)" onclick="show('method-summary-table', 'method-summary-table-tab4', 3)" class="table-tab">Concrete Methods</button></div>
<div id="method-summary-table.tabpanel" role="tabpanel">
<div class="summary-table three-column-summary" aria-labelledby="method-summary-table-tab0">
<div class="table-header col-first">Modifier and Type</div>
<div class="table-header col-second">Method</div>
<div class="table-header col-last">Description</div>
<div class="col-first even-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4"><code>boolean</code></div>
<div class="col-second even-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4"><code><a href="#aplicarLogaritmo(estructurasNoLineales.TipoLogaritmo)" class="member-name-link">aplicarLogaritmo</a><wbr>(<a href="TipoLogaritmo.html" title="enum class in estructurasNoLineales">TipoLogaritmo</a>&nbsp;tipoLogaritmo)</code></div>
<div class="col-last even-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4">&nbsp;</div>
<div class="col-first odd-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4"><code>boolean</code></div>
<div class="col-second odd-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4"><code><a href="#aplicarPotencia(java.lang.Number)" class="member-name-link">aplicarPotencia</a><wbr>(<a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/lang/Number.html" title="class or interface in java.lang" class="external-link">Number</a>&nbsp;escalar)</code></div>
<div class="col-last odd-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4">&nbsp;</div>
<div class="col-first even-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4"><code>boolean</code></div>
<div class="col-second even-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4"><code><a href="#cambiar(int,int,java.lang.Object)" class="member-name-link">cambiar</a><wbr>(int&nbsp;fila,
 int&nbsp;col,
 <a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/lang/Object.html" title="class or interface in java.lang" class="external-link">Object</a>&nbsp;valor)</code></div>
<div class="col-last even-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4">&nbsp;</div>
<div class="col-first odd-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4"><code>boolean</code></div>
<div class="col-second odd-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4"><code><a href="#doblarColumnas()" class="member-name-link">doblarColumnas</a>()</code></div>
<div class="col-last odd-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4">&nbsp;</div>
<div class="col-first even-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4"><code>boolean</code></div>
<div class="col-second even-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4"><code><a href="#doblarRenglones()" class="member-name-link">doblarRenglones</a>()</code></div>
<div class="col-last even-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4">&nbsp;</div>
<div class="col-first odd-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4"><code>boolean</code></div>
<div class="col-second odd-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4"><code><a href="#esDiagonalInferior()" class="member-name-link">esDiagonalInferior</a>()</code></div>
<div class="col-last odd-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4">&nbsp;</div>
<div class="col-first even-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4"><code>boolean</code></div>
<div class="col-second even-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4"><code><a href="#esDiagonalSuperior()" class="member-name-link">esDiagonalSuperior</a>()</code></div>
<div class="col-last even-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4">&nbsp;</div>
<div class="col-first odd-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4"><code>void</code></div>
<div class="col-second odd-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4"><code><a href="#imprimirXColumnas()" class="member-name-link">imprimirXColumnas</a>()</code></div>
<div class="col-last odd-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4">&nbsp;</div>
<div class="col-first even-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4"><code>void</code></div>
<div class="col-second even-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4"><code><a href="#imprimirXRenglones()" class="member-name-link">imprimirXRenglones</a>()</code></div>
<div class="col-last even-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4">&nbsp;</div>
<div class="col-first odd-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4"><code>boolean</code></div>
<div class="col-second odd-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4"><code><a href="#matrizDiagonal(java.lang.Number)" class="member-name-link">matrizDiagonal</a><wbr>(<a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/lang/Number.html" title="class or interface in java.lang" class="external-link">Number</a>&nbsp;contenido)</code></div>
<div class="col-last odd-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4">&nbsp;</div>
<div class="col-first even-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4"><code>boolean</code></div>
<div class="col-second even-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4"><code><a href="#multiplicar(estructurasNoLineales.Matriz2Numerica)" class="member-name-link">multiplicar</a><wbr>(<a href="Matriz2Numerica.html" title="class in estructurasNoLineales">Matriz2Numerica</a>&nbsp;matriz2)</code></div>
<div class="col-last even-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4">&nbsp;</div>
<div class="col-first odd-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4"><code><a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/lang/Object.html" title="class or interface in java.lang" class="external-link">Object</a></code></div>
<div class="col-second odd-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4"><code><a href="#obtener(int,int)" class="member-name-link">obtener</a><wbr>(int&nbsp;fila,
 int&nbsp;col)</code></div>
<div class="col-last odd-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4">&nbsp;</div>
<div class="col-first even-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4"><code>boolean</code></div>
<div class="col-second even-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4"><code><a href="#porEscalar(java.lang.Number)" class="member-name-link">porEscalar</a><wbr>(<a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/lang/Number.html" title="class or interface in java.lang" class="external-link">Number</a>&nbsp;escalar)</code></div>
<div class="col-last even-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4">&nbsp;</div>
<div class="col-first odd-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4"><code>boolean</code></div>
<div class="col-second odd-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4"><code><a href="#porEscalares(estructurasLineales.ListaEstaticaNumerica)" class="member-name-link">porEscalares</a><wbr>(<a href="../estructurasLineales/ListaEstaticaNumerica.html" title="class in estructurasLineales">ListaEstaticaNumerica</a>&nbsp;escalares)</code></div>
<div class="col-last odd-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4">&nbsp;</div>
<div class="col-first even-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4"><code>boolean</code></div>
<div class="col-second even-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4"><code><a href="#potencia(int)" class="member-name-link">potencia</a><wbr>(int&nbsp;exponente)</code></div>
<div class="col-last even-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4">&nbsp;</div>
<div class="col-first odd-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4"><code>void</code></div>
<div class="col-second odd-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4"><code><a href="#rellenar(java.lang.Object)" class="member-name-link">rellenar</a><wbr>(<a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/lang/Object.html" title="class or interface in java.lang" class="external-link">Object</a>&nbsp;valor)</code></div>
<div class="col-last odd-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4">&nbsp;</div>
<div class="col-first even-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4"><code>boolean</code></div>
<div class="col-second even-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4"><code><a href="#sumar(estructurasNoLineales.Matriz2Numerica)" class="member-name-link">sumar</a><wbr>(<a href="Matriz2Numerica.html" title="class in estructurasNoLineales">Matriz2Numerica</a>&nbsp;matriz2)</code></div>
<div class="col-last even-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4">&nbsp;</div>
<div class="col-first odd-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4"><code>boolean</code></div>
<div class="col-second odd-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4"><code><a href="#sumarEscalar(java.lang.Number)" class="member-name-link">sumarEscalar</a><wbr>(<a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/lang/Number.html" title="class or interface in java.lang" class="external-link">Number</a>&nbsp;escalar)</code></div>
<div class="col-last odd-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4">&nbsp;</div>
<div class="col-first even-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4"><code>boolean</code></div>
<div class="col-second even-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4"><code><a href="#sumarEscalares(estructurasLineales.ListaEstaticaNumerica)" class="member-name-link">sumarEscalares</a><wbr>(<a href="../estructurasLineales/ListaEstaticaNumerica.html" title="class in estructurasLineales">ListaEstaticaNumerica</a>&nbsp;escalares)</code></div>
<div class="col-last even-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4">&nbsp;</div>
</div>
</div>
</div>
<div class="inherited-list">
<h3 id="methods-inherited-from-class-estructurasNoLineales.Matriz2">Methods inherited from class&nbsp;estructurasNoLineales.<a href="Matriz2.html" title="class in estructurasNoLineales">Matriz2</a></h3>
<code><a href="Matriz2.html#agregarColumna(estructurasLineales.ListaEstatica,int)">agregarColumna</a>, <a href="Matriz2.html#agregarRenglon(estructurasLineales.ListaEstatica,int)">agregarRenglon</a>, <a href="Matriz2.html#clonar()">clonar</a>, <a href="Matriz2.html#eliminarColumna(int)">eliminarColumna</a>, <a href="Matriz2.html#eliminarRenglon(int)">eliminarRenglon</a>, <a href="Matriz2.html#esIgual(estructurasNoLineales.Matriz2)">esIgual</a>, <a href="Matriz2.html#matrizDiagonal(java.lang.Object)">matrizDiagonal</a>, <a href="Matriz2.html#matrizVectorColumna()">matrizVectorColumna</a>, <a href="Matriz2.html#matrizVectorRenglon()">matrizVectorRenglon</a>, <a href="Matriz2.html#multiplicacion(estructurasNoLineales.Matriz2,estructurasNoLineales.Matriz2)">multiplicacion</a>, <a href="Matriz2.html#numElementos()">numElementos</a>, <a href="Matriz2.html#obtenerColumnas()">obtenerColumnas</a>, <a href="Matriz2.html#obtenerRenglones()">obtenerRenglones</a>, <a href="Matriz2.html#obtenerValor(int,int)">obtenerValor</a>, <a href="Matriz2.html#quitarColumna(estructurasNoLineales.TipoColumna)">quitarColumna</a>, <a href="Matriz2.html#quitarRenglon(estructurasNoLineales.TipoRenglon)">quitarRenglon</a>, <a href="Matriz2.html#redefinir(estructurasNoLineales.Matriz2)">redefinir</a>, <a href="Matriz2.html#transpuesta()">transpuesta</a>, <a href="Matriz2.html#vectorColumna(int,java.lang.Object)">vectorColumna</a>, <a href="Matriz2.html#vectorRenglon(int,java.lang.Object)">vectorRenglon</a></code></div>
<div class="inherited-list">
<h3 id="methods-inherited-from-class-java.lang.Object">Methods inherited from class&nbsp;java.lang.<a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/lang/Object.html" title="class or interface in java.lang" class="external-link">Object</a></h3>
<code><a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/lang/Object.html#clone()" title="class or interface in java.lang" class="external-link">clone</a>, <a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/lang/Object.html#equals(java.lang.Object)" title="class or interface in java.lang" class="external-link">equals</a>, <a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/lang/Object.html#finalize()" title="class or interface in java.lang" class="external-link">finalize</a>, <a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/lang/Object.html#getClass()" title="class or interface in java.lang" class="external-link">getClass</a>, <a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/lang/Object.html#hashCode()" title="class or interface in java.lang" class="external-link">hashCode</a>, <a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/lang/Object.html#notify()" title="class or interface in java.lang" class="external-link">notify</a>, <a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/lang/Object.html#notifyAll()" title="class or interface in java.lang" class="external-link">notifyAll</a>, <a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/lang/Object.html#toString()" title="class or interface in java.lang" class="external-link">toString</a>, <a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/lang/Object.html#wait()" title="class or interface in java.lang" class="external-link">wait</a>, <a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/lang/Object.html#wait(long)" title="class or interface in java.lang" class="external-link">wait</a>, <a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/lang/Object.html#wait(long,int)" title="class or interface in java.lang" class="external-link">wait</a></code></div>
</section>
</li>
</ul>
</section>
<section class="details">
<ul class="details-list">
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<li>
<section class="constructor-details" id="constructor-detail">
<h2>Constructor Details</h2>
<ul class="member-list">
<li>
<section class="detail" id="&lt;init&gt;(int,int)">
<h3>Matriz2Numerica</h3>
<div class="member-signature"><span class="modifiers">public</span>&nbsp;<span class="element-name">Matriz2Numerica</span><wbr><span class="parameters">(int&nbsp;renglones,
 int&nbsp;columnas)</span></div>
</section>
</li>
<li>
<section class="detail" id="&lt;init&gt;(int,int,java.lang.Object)">
<h3>Matriz2Numerica</h3>
<div class="member-signature"><span class="modifiers">public</span>&nbsp;<span class="element-name">Matriz2Numerica</span><wbr><span class="parameters">(int&nbsp;renglones,
 int&nbsp;columnas,
 <a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/lang/Object.html" title="class or interface in java.lang" class="external-link">Object</a>&nbsp;valor)</span></div>
</section>
</li>
</ul>
</section>
</li>
<!-- ============ METHOD DETAIL ========== -->
<li>
<section class="method-details" id="method-detail">
<h2>Method Details</h2>
<ul class="member-list">
<li>
<section class="detail" id="rellenar(java.lang.Object)">
<h3>rellenar</h3>
<div class="member-signature"><span class="modifiers">public</span>&nbsp;<span class="return-type">void</span>&nbsp;<span class="element-name">rellenar</span><wbr><span class="parameters">(<a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/lang/Object.html" title="class or interface in java.lang" class="external-link">Object</a>&nbsp;valor)</span></div>
<dl class="notes">
<dt>Overrides:</dt>
<dd><code><a href="Matriz2.html#rellenar(java.lang.Object)">rellenar</a></code>&nbsp;in class&nbsp;<code><a href="Matriz2.html" title="class in estructurasNoLineales">Matriz2</a></code></dd>
</dl>
</section>
</li>
<li>
<section class="detail" id="imprimirXColumnas()">
<h3>imprimirXColumnas</h3>
<div class="member-signature"><span class="modifiers">public</span>&nbsp;<span class="return-type">void</span>&nbsp;<span class="element-name">imprimirXColumnas</span>()</div>
<dl class="notes">
<dt>Overrides:</dt>
<dd><code><a href="Matriz2.html#imprimirXColumnas()">imprimirXColumnas</a></code>&nbsp;in class&nbsp;<code><a href="Matriz2.html" title="class in estructurasNoLineales">Matriz2</a></code></dd>
</dl>
</section>
</li>
<li>
<section class="detail" id="imprimirXRenglones()">
<h3>imprimirXRenglones</h3>
<div class="member-signature"><span class="modifiers">public</span>&nbsp;<span class="return-type">void</span>&nbsp;<span class="element-name">imprimirXRenglones</span>()</div>
<dl class="notes">
<dt>Overrides:</dt>
<dd><code><a href="Matriz2.html#imprimirXRenglones()">imprimirXRenglones</a></code>&nbsp;in class&nbsp;<code><a href="Matriz2.html" title="class in estructurasNoLineales">Matriz2</a></code></dd>
</dl>
</section>
</li>
<li>
<section class="detail" id="obtener(int,int)">
<h3>obtener</h3>
<div class="member-signature"><span class="modifiers">public</span>&nbsp;<span class="return-type"><a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/lang/Object.html" title="class or interface in java.lang" class="external-link">Object</a></span>&nbsp;<span class="element-name">obtener</span><wbr><span class="parameters">(int&nbsp;fila,
 int&nbsp;col)</span></div>
<dl class="notes">
<dt>Overrides:</dt>
<dd><code><a href="Matriz2.html#obtener(int,int)">obtener</a></code>&nbsp;in class&nbsp;<code><a href="Matriz2.html" title="class in estructurasNoLineales">Matriz2</a></code></dd>
</dl>
</section>
</li>
<li>
<section class="detail" id="cambiar(int,int,java.lang.Object)">
<h3>cambiar</h3>
<div class="member-signature"><span class="modifiers">public</span>&nbsp;<span class="return-type">boolean</span>&nbsp;<span class="element-name">cambiar</span><wbr><span class="parameters">(int&nbsp;fila,
 int&nbsp;col,
 <a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/lang/Object.html" title="class or interface in java.lang" class="external-link">Object</a>&nbsp;valor)</span></div>
<dl class="notes">
<dt>Overrides:</dt>
<dd><code><a href="Matriz2.html#cambiar(int,int,java.lang.Object)">cambiar</a></code>&nbsp;in class&nbsp;<code><a href="Matriz2.html" title="class in estructurasNoLineales">Matriz2</a></code></dd>
</dl>
</section>
</li>
<li>
<section class="detail" id="porEscalar(java.lang.Number)">
<h3>porEscalar</h3>
<div class="member-signature"><span class="modifiers">public</span>&nbsp;<span class="return-type">boolean</span>&nbsp;<span class="element-name">porEscalar</span><wbr><span class="parameters">(<a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/lang/Number.html" title="class or interface in java.lang" class="external-link">Number</a>&nbsp;escalar)</span></div>
</section>
</li>
<li>
<section class="detail" id="porEscalares(estructurasLineales.ListaEstaticaNumerica)">
<h3>porEscalares</h3>
<div class="member-signature"><span class="modifiers">public</span>&nbsp;<span class="return-type">boolean</span>&nbsp;<span class="element-name">porEscalares</span><wbr><span class="parameters">(<a href="../estructurasLineales/ListaEstaticaNumerica.html" title="class in estructurasLineales">ListaEstaticaNumerica</a>&nbsp;escalares)</span></div>
</section>
</li>
<li>
<section class="detail" id="sumarEscalar(java.lang.Number)">
<h3>sumarEscalar</h3>
<div class="member-signature"><span class="modifiers">public</span>&nbsp;<span class="return-type">boolean</span>&nbsp;<span class="element-name">sumarEscalar</span><wbr><span class="parameters">(<a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/lang/Number.html" title="class or interface in java.lang" class="external-link">Number</a>&nbsp;escalar)</span></div>
</section>
</li>
<li>
<section class="detail" id="sumarEscalares(estructurasLineales.ListaEstaticaNumerica)">
<h3>sumarEscalares</h3>
<div class="member-signature"><span class="modifiers">public</span>&nbsp;<span class="return-type">boolean</span>&nbsp;<span class="element-name">sumarEscalares</span><wbr><span class="parameters">(<a href="../estructurasLineales/ListaEstaticaNumerica.html" title="class in estructurasLineales">ListaEstaticaNumerica</a>&nbsp;escalares)</span></div>
</section>
</li>
<li>
<section class="detail" id="multiplicar(estructurasNoLineales.Matriz2Numerica)">
<h3>multiplicar</h3>
<div class="member-signature"><span class="modifiers">public</span>&nbsp;<span class="return-type">boolean</span>&nbsp;<span class="element-name">multiplicar</span><wbr><span class="parameters">(<a href="Matriz2Numerica.html" title="class in estructurasNoLineales">Matriz2Numerica</a>&nbsp;matriz2)</span></div>
</section>
</li>
<li>
<section class="detail" id="sumar(estructurasNoLineales.Matriz2Numerica)">
<h3>sumar</h3>
<div class="member-signature"><span class="modifiers">public</span>&nbsp;<span class="return-type">boolean</span>&nbsp;<span class="element-name">sumar</span><wbr><span class="parameters">(<a href="Matriz2Numerica.html" title="class in estructurasNoLineales">Matriz2Numerica</a>&nbsp;matriz2)</span></div>
</section>
</li>
<li>
<section class="detail" id="aplicarPotencia(java.lang.Number)">
<h3>aplicarPotencia</h3>
<div class="member-signature"><span class="modifiers">public</span>&nbsp;<span class="return-type">boolean</span>&nbsp;<span class="element-name">aplicarPotencia</span><wbr><span class="parameters">(<a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/lang/Number.html" title="class or interface in java.lang" class="external-link">Number</a>&nbsp;escalar)</span></div>
</section>
</li>
<li>
<section class="detail" id="aplicarLogaritmo(estructurasNoLineales.TipoLogaritmo)">
<h3>aplicarLogaritmo</h3>
<div class="member-signature"><span class="modifiers">public</span>&nbsp;<span class="return-type">boolean</span>&nbsp;<span class="element-name">aplicarLogaritmo</span><wbr><span class="parameters">(<a href="TipoLogaritmo.html" title="enum class in estructurasNoLineales">TipoLogaritmo</a>&nbsp;tipoLogaritmo)</span></div>
</section>
</li>
<li>
<section class="detail" id="matrizDiagonal(java.lang.Number)">
<h3>matrizDiagonal</h3>
<div class="member-signature"><span class="modifiers">public</span>&nbsp;<span class="return-type">boolean</span>&nbsp;<span class="element-name">matrizDiagonal</span><wbr><span class="parameters">(<a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/lang/Number.html" title="class or interface in java.lang" class="external-link">Number</a>&nbsp;contenido)</span></div>
</section>
</li>
<li>
<section class="detail" id="potencia(int)">
<h3>potencia</h3>
<div class="member-signature"><span class="modifiers">public</span>&nbsp;<span class="return-type">boolean</span>&nbsp;<span class="element-name">potencia</span><wbr><span class="parameters">(int&nbsp;exponente)</span></div>
</section>
</li>
<li>
<section class="detail" id="esDiagonalSuperior()">
<h3>esDiagonalSuperior</h3>
<div class="member-signature"><span class="modifiers">public</span>&nbsp;<span class="return-type">boolean</span>&nbsp;<span class="element-name">esDiagonalSuperior</span>()</div>
</section>
</li>
<li>
<section class="detail" id="esDiagonalInferior()">
<h3>esDiagonalInferior</h3>
<div class="member-signature"><span class="modifiers">public</span>&nbsp;<span class="return-type">boolean</span>&nbsp;<span class="element-name">esDiagonalInferior</span>()</div>
</section>
</li>
<li>
<section class="detail" id="doblarColumnas()">
<h3>doblarColumnas</h3>
<div class="member-signature"><span class="modifiers">public</span>&nbsp;<span class="return-type">boolean</span>&nbsp;<span class="element-name">doblarColumnas</span>()</div>
</section>
</li>
<li>
<section class="detail" id="doblarRenglones()">
<h3>doblarRenglones</h3>
<div class="member-signature"><span class="modifiers">public</span>&nbsp;<span class="return-type">boolean</span>&nbsp;<span class="element-name">doblarRenglones</span>()</div>
</section>
</li>
</ul>
</section>
</li>
</ul>
</section>
<!-- ========= END OF CLASS DATA ========= -->
</main>
</div>
</div>
</body>
</html>
